package com.cedarsoft.hudson.bears;

import org.jetbrains.annotations.NotNull;

import java.util.EnumSet;
import java.util.Set;

/**
 *
 */
public class ProjectsState {
  @NotNull
  private final Set<ProjectState> statesSet = EnumSet.noneOf( ProjectState.class );

  public boolean hasBuildingProject() {
    return statesSet.contains( ProjectState.BUILDING );
  }

  public boolean hasStableProject() {
    return statesSet.contains( ProjectState.STABLE );
  }

  public boolean hasInstableProject() {
    return statesSet.contains( ProjectState.INSTABLE );
  }

  public boolean hasFailedProject() {
    return statesSet.contains( ProjectState.FAILED );
  }

  public void enable( @NotNull ProjectState state ) {
    statesSet.add( state );
  }

  @Override
  public String toString() {
    return "ProjectsState{" +
        "statesSet=" + statesSet +
        '}';
  }
}
